//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM0.83-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1306
// INTERFACE : I2C
// MCU 		 : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCL   PG12SCL
// SDA    PD5SDA


#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
#include "led.h"
int main(void)
{
	u8 t=' ';
	delay_init();
	OLED_Init();
	OLED_ColorTurn(0);//0 normal display 1 negative display
  OLED_DisplayTurn(0);//0normal display 1 Flip Display
	LED0=0;
	while(1)
	{
		OLED_ShowPicture(0,0,96,40,BMP1,1);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();

		
		OLED_ShowChinese(8,0,2,16,1);//
		OLED_ShowChinese(24,0,3,16,1);//
		OLED_ShowChinese(40,0,4,16,1);//
		OLED_ShowChinese(56,0,5,16,1);//		
		
		OLED_ShowString(20,24,"2018/05",16,1);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
		OLED_ShowString(0,0,"ASCII:",16,1);
		OLED_ShowString(0,16,"CODE:",16,1);
		OLED_ShowChar(48,0,t,16,1);//ASCII
		t++;
		if(t>'~')t=' ';
		OLED_ShowNum(40,16,t,3,16,1);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
		OLED_ShowChinese(0,12,0,16,1);//16*16 
   	OLED_ShowChinese(20,9,0,24,1);//24*24 
	  OLED_ShowChinese(50,6,0,32,1);//32*32 
		OLED_Refresh();
	  delay_ms(500);
  	OLED_Clear();
		OLED_ShowString(0,16,"ABC",12,1);//6*12 ABC
		OLED_ShowString(20,12,"ABC",16,1);//8*16 ABC
		OLED_ShowString(50,6,"ABC",24,1);//12*24 ABC
	  OLED_Refresh();
		delay_ms(500);
		OLED_ScrollDisplay(11,4,1);
	}
}

